QGIS Application - Bug report #16897
shift rotated labels in map composer
2017-07-20 04:49 PM - Evgenia Sinieshtany

Status: Open

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.7(master) Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24796
Description

When trying to print rotated map in composer manager labels are shifted. | need to save again my layer in project projection for avoid this
offset.

It was tested in version 2.6 there were no offset!

loaded files are the line and point vector layers with their styles, project file and screenshots

History

#1 - 2017-07-20 07:02 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from High to Normal

- File Screenshot 20170720 _180152.png added

Do you refer to the slightly bigger distance between the label and the line as in the image I'm attaching here (comparing map canvas and composer)?

#2 - 2017-07-21 08:28 AM - Evgenia Sinieshtany

Giovanni Manghi wrote:

Do you refer to the slightly bigger distance between the label and the line as in the image I'm attaching here (comparing map canvas and

composer)?

Yes!)

#3 - 2017-07-21 09:42 AM - Giovanni Manghi
- File Screenshot_20170721_084211.png added
- Affected QGIS version changed from 2.18.4 to 2.18.10

The "trick" is to add the map object in print composer after you have rotated the map canvas, then rotate the map object also in the composer, see
screenshot from 2.18.10 using this workflow

#4 - 2017-07-21 11:12 AM - Evgenia Sinieshtany

Giovanni Manghi wrote:
The "trick" is to add the map object in print composer after you have rotated the map canvas, then rotate the map object also in the composer, see

screenshot from 2.18.10 using this workflow

The "trick" works only in 2.18.10? What do you mean "rotate the map object also in the composer"? stay layer invisible while not rotating map canvas and
map in composer? And after all activate layer? | still have this offset

#5 - 2017-07-21 11:18 AM - Giovanni Manghi

The "trick” works only in 2.18.10?

| have tried on 2.18.10

What do you mean "rotate the map object also in the composer"? stay layer invisible while not rotating map canvas and map in composer? And

after all activate layer? | still have this offset

steps:

1) work on you project in QGIS canvas
2) rotate the canvas

)
)
3) create new composer
4) add map object

)

5) rotate map object

#6 - 2017-07-21 12:13 PM - Evgenia Sinieshtany

In 2.18.4 works well!

But this "trick" is very unconvinient for me, because | use atlas generation and creating new composer is unnecessary.

When | choose the map that | want to print in composer atlas list menu, | have already defined rotation angle value (calculated from projection formula),
and even if | manually set it to 0 and then my angle again, there is still offset.

Is it possible to get rid of this distance without creation new composer?

#7 - 2017-07-21 12:48 PM - Giovanni Manghi
- Status changed from Feedback to Open

- Regression? changed from No to Yes

- Priority changed from Normal to High

Evgenia Sinieshtany wrote:

In 2.18.4 works well!

But this "trick" is very unconvinient for me, because | use atlas generation and creating new composer is unnecessary.

When | choose the map that | want to print in composer atlas list menu, | have already defined rotation angle value (calculated from projection
formula),

and even if | manually set it to 0 and then my angle again, there is still offset.

Is it possible to get rid of this distance without creation new composer?
please raise your doubts in the users and/or developers mailing lists.
I believe that as it affects the atlas this can indeed be considered a bug/regression, but | would like the feedback for others, especially the ones that have

worked on the print composer. Thanks!

#8 - 2017-07-25 07:44 PM - Giovanni Manghi
- Affected QGIS version changed from 2.18.10 to 2.18.11

#9 - 2017-08-17 01:54 PM - Evgenia Sinieshtany

Giovanni Manghi wrote:

Evgenia Sinieshtany wrote:

In 2.18.4 works well!

But this "trick" is very unconvinient for me, because | use atlas generation and creating new composer is unnecessary.

When | choose the map that | want to print in composer atlas list menu, | have already defined rotation angle value (calculated from projection
formula),

and even if | manually set it to 0 and then my angle again, there is still offset.

Is it possible to get rid of this distance without creation new composer?

please raise your doubts in the users and/or developers mailing lists.
| believe that as it affects the atlas this can indeed be considered a bug/regression, but | would like the feedback for others, especially the ones that

have worked on the print composer. Thanks!

| wrote to developers mailing lists but nobody reply(

#10 - 2019-03-09 03:10 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and
administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.

#11 - 2019-05-06 09:49 PM - Nyall Dawson

- Resolution deleted (end of life)

- Status changed from Closed to Reopened

- Affected QGIS version changed from 2.18.11 to 3.7(master)

#12 - 2019-05-07 09:32 AM - Giovanni Manghi
- Status changed from Reopened to Open

Files

2.6 map composer.PNG 73.6 KB 2017-07-20 Evgenia Sinieshtany
2.18 map canvas.PNG 66.5 KB 2017-07-20 Evgenia Sinieshtany
2.18 map composer.PNG 75.2 KB 2017-07-20 Evgenia Sinieshtany
label_rotation.qgs 57.6 KB 2017-07-20 Evgenia Sinieshtany
line_labels.cpg 5 Bytes 2017-07-20 Evgenia Sinieshtany
line_labels.dbf 13.2KB 2017-07-20 Evgenia Sinieshtany
line_labels.prj 143 Bytes 2017-07-20 Evgenia Sinieshtany
line_labels.qpj 257 Bytes 2017-07-20 Evgenia Sinieshtany
line_labels.shp 2.21 KB 2017-07-20 Evgenia Sinieshtany
line_labels.shx 284 Bytes 2017-07-20 Evgenia Sinieshtany
Screenshot_20170720_180152.png 237 KB 2017-07-20 Giovanni Manghi
Screenshot_20170721_084211.png 215 KB 2017-07-21 Giovanni Manghi
